require 'spec_helper'

describe Sudoku::Logging do
  LOGGING ||= Sudoku::Logging

  let(:some_class) { Class.new.extend(Sudoku::Logging) }

  before { some_class.disable_log }

  it 'logger not null' do
    expect(LOGGING::LOGGER).not_to be nil
  end

  it 'no method raises exception' do
    expect { some_class.info('whatever') }.not_to raise_error
    expect { some_class.error('whatever') }.not_to raise_error
    expect { some_class.fatal('whatever') }.not_to raise_error
    expect { some_class.disable_log }.not_to raise_error
  end
end
